      subroutine rmacau(xr) ! bernd berg, sep 22 2000.
c  calculates cauchy distributed random numbers (relying on ranmar(xr)).
c  probability density: 1/[pi*(1+x**2)].
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      call ranmar(xr)
      xr=tan(tpi*xr)
      return
      end 
